package com.weaver.seconddev.cockpit.service.impl;

import com.weaver.seconddev.cockpit.cmd.CockpitMonthPerformanceInfoCmd;
import com.weaver.seconddev.cockpit.cmd.CockpitWorkAchievementsCmd;
import com.weaver.seconddev.cockpit.cmd.CockpitWorkDate4TypeCmd;
import com.weaver.seconddev.cockpit.service.JucailinCockpitService;
import com.weaver.teams.domain.user.SimpleEmployee;
import groovy.util.logging.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.*;

@Slf4j
@Service
public class JucailinCockpitServiceimpl implements JucailinCockpitService {
    @Autowired
    private CockpitMonthPerformanceInfoCmd cockpitMonthPerformanceInfoCmd;

    @Autowired
    private CockpitWorkAchievementsCmd cockpitWorkAchievementsCmd;

    @Autowired
    private CockpitWorkDate4TypeCmd cockpitWorkDate4TypeCmd;


    @Override
    public Map<String, Object> getMonthPerformanceData(SimpleEmployee simpleEmployee, Map<String, Object> paramMap,String tenantKey) {

        Map<String,Object> dataMap = cockpitMonthPerformanceInfoCmd.getDataInfo(simpleEmployee,paramMap,tenantKey);
        return dataMap;
    }

    @Override
    public Map<String, Object> getWorkAchievementsData(SimpleEmployee simpleEmployee, Map<String, Object> paramMap, String tenantKey) {
        Map<String,Object> dataMap = cockpitWorkAchievementsCmd.getDataInfo(simpleEmployee,paramMap,tenantKey);
        return dataMap;
    }

    @Override
    public Map<String, Object> getUserData4Type(SimpleEmployee simpleEmployee, Map<String, Object> paramMap, String tenantKey) {
        Map<String,Object> dataMap = cockpitWorkDate4TypeCmd.getDataInfo(simpleEmployee,paramMap,tenantKey);
        return dataMap;
    }

    @Override
    public Map<String, Object> getWorkflowAnalysis(SimpleEmployee simpleEmployee, Map<String, Object> paramMap, String tenantKey) {
        Map<String,Object> dataMap = cockpitWorkDate4TypeCmd.getDataInfo(simpleEmployee,paramMap,tenantKey);
        return dataMap;
    }

    @Override
    public Map<String, Object> getBlogData(SimpleEmployee simpleEmployee, Map<String, Object> paramMap, String tenantKey) {
        Map<String,Object> dataMap = cockpitWorkDate4TypeCmd.getDataInfo(simpleEmployee,paramMap,tenantKey);
        return dataMap;
    }
}
